"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _typography = require("../../theme/typography");

var _excluded = ["children", "className"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _core.makeStyles)({
  root: function root(_ref) {
    var font = _ref.font,
        fontSize = _ref.fontSize,
        fontWeight = _ref.fontWeight,
        color = _ref.color;
    return {
      fontSize: fontSize,
      fontWeight: fontWeight,
      color: color,
      fontFamily: font
    };
  }
});

var ButtonWrapper = function ButtonWrapper(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      props = _objectWithoutProperties(_ref2, _excluded);

  var classes = useStyles(props);
  var onClick = props.onClick;
  return /*#__PURE__*/_react.default.createElement(_core.Button, _extends({
    onClick: onClick,
    disableRipple: true,
    disableElevation: true,
    className: (0, _clsx.default)(classes.root, className)
  }, props), children);
};

ButtonWrapper.propTypes = {
  children: _propTypes.default.node.isRequired,
  className: _propTypes.default.object,
  fontSize: _propTypes.default.number,
  fontWeight: _propTypes.default.number,
  color: _propTypes.default.string,
  onClick: _propTypes.default.func.isRequired,
  font: _propTypes.default.string
};
ButtonWrapper.defaultProps = {
  fontSize: '21px',
  color: '#fafafa',
  fontWeight: 300,
  font: _typography.IBMPlexSansLight.fontFamily
};
var _default = ButtonWrapper;
exports.default = _default;