'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _FiberManualRecord = _interopRequireDefault(require('@material-ui/icons/FiberManualRecord'));

var _styles = require('@material-ui/styles');

var _propTypes = _interopRequireDefault(require('prop-types'));

var _PositionedLink = _interopRequireDefault(require('../PositionedLink'));

var _excluded = ['text', 'href', 'padding'];

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

var useStyles = (0, _styles.makeStyles)(function () {
    return {
        headerLinkDottedRoot: function headerLinkDottedRoot(_ref) {
            var colorOnHover = _ref.colorOnHover,
                colorIcon = _ref.colorIcon;
            return {
                '& > svg': {
                    display: 'none'
                },
                '&:hover': {
                    color: colorOnHover,
                    '& > svg': {
                        display: 'block',
                        fill: colorIcon
                    }
                }
            };
        },
        dot: function dot(_ref2) {
            var fontSize = _ref2.fontSize;
            return {
                fontSize: fontSize
            };
        }
    };
});

var HeaderLinkDotted = function HeaderLinkDotted(_ref3) {
    var text = _ref3.text,
        href = _ref3.href,
        padding = _ref3.padding,
        props = _objectWithoutProperties(_ref3, _excluded);

    var classes = useStyles(props);
    var theme = (0, _styles.useTheme)();
    return /*#__PURE__*/ _react.default.createElement(
        _PositionedLink.default,
        {
            position: 'bottom',
            className: classes.headerLinkDottedRoot,
            href: href,
            padding: padding,
            fontSize: 20,
            textTransform: 'uppercase',
            color: theme.palette.color.grey
        },
        text,
        /*#__PURE__*/ _react.default.createElement(_FiberManualRecord.default, {
            className: classes.dot
        })
    );
};

HeaderLinkDotted.propTypes = {
    text: _propTypes.default.string.isRequired,
    href: _propTypes.default.string,
    fontSize: _propTypes.default.number,
    colorOnHover: _propTypes.default.string,
    colorIcon: _propTypes.default.string,
    padding: _propTypes.default.number
};
HeaderLinkDotted.defaultProps = {
    href: '/',
    fontSize: 10,
    padding: 5,
    colorOnHover: '#FFFFFF',
    colorIcon: '#EA3D26'
};
var _default = HeaderLinkDotted;
exports.default = _default;
