"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _ButtonWrapper = _interopRequireDefault(require("../ButtonWrapper"));

var _excluded = ["text", "children", "variant", "primary", "padding", "rounded", "className", "font"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _core.makeStyles)(function (_ref) {
  var tone = _ref.palette.tone;
  return {
    root: function root(_ref2) {
      var rounded = _ref2.rounded,
          fontWeight = _ref2.fontWeight,
          fontSize = _ref2.fontSize,
          font = _ref2.font,
          padding = _ref2.padding;
      return {
        textTransform: 'none',
        borderRadius: rounded ? '999999px' : '0px',
        fontFamily: [font, 'Arial', 'sans-serif'].join(','),
        letterSpacing: 2,
        fontSize: fontSize,
        fontWeight: fontWeight,
        padding: padding
      };
    },
    contained: function contained(_ref3) {
      var primary = _ref3.primary;
      return {
        extend: 'root',
        color: primary ? tone.white.main : tone.black.main,
        backgroundColor: primary ? tone.red.main : tone.white.main,
        '&:hover': {
          backgroundColor: primary ? tone.red.dark : tone.white.dark
        }
      };
    },
    outlined: function outlined(_ref4) {
      var primary = _ref4.primary;
      return {
        extend: 'root',
        borderColor: primary ? tone.red.main : tone.white.main,
        color: primary ? tone.white.main : tone.white.main,
        '&:hover': {
          borderColor: primary ? tone.red.main : tone.white.main,
          backgroundColor: primary ? tone.red.main : tone.white.main,
          color: primary ? tone.white.main : tone.black.main
        }
      };
    }
  };
});

var StyledButton = function StyledButton(_ref5) {
  var text = _ref5.text,
      children = _ref5.children,
      variant = _ref5.variant,
      primary = _ref5.primary,
      padding = _ref5.padding,
      rounded = _ref5.rounded,
      className = _ref5.className,
      font = _ref5.font,
      props = _objectWithoutProperties(_ref5, _excluded);

  var classes = useStyles({
    primary: primary,
    rounded: rounded,
    font: font,
    padding: padding
  });
  return (
    /*#__PURE__*/
    // eslint-disable-next-line react/jsx-props-no-spreading
    _react.default.createElement(_ButtonWrapper.default, _extends({
      className: (0, _clsx.default)(classes.root, classes[variant], className),
      variant: variant
    }, props), text ? text : children)
  );
};

StyledButton.propTypes = {
  children: _propTypes.default.node,
  variant: _propTypes.default.oneOf(['contained', 'outlined']),
  primary: _propTypes.default.bool,
  text: _propTypes.default.string,
  rounded: _propTypes.default.bool,
  fontSize: _propTypes.default.oneOf(['21px', '35px', '44px']),
  fontWeight: _propTypes.default.oneOf([100, 200, 300, 400, 500, 600, 800]),
  font: _propTypes.default.oneOf(['IBMPlexSansLight', 'IBMPlexSansMedium', 'IBMPlexSerifLight']),
  padding: _propTypes.default.oneOf(['13px 35px 12px', '15px 3.2vw', '16px 24px']),
  className: _propTypes.default.object
};
StyledButton.defaultProps = {
  variant: 'contained',
  primary: 'true',
  rounded: 'true',
  font: 'IBMPlexSansLight',
  padding: '13px 35px 12px'
};
var _default = StyledButton;
exports.default = _default;