"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _MailOutline = _interopRequireDefault(require("@material-ui/icons/MailOutline"));

var _StyledButton = _interopRequireDefault(require("../StyledButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var useStyles = (0, _core.makeStyles)(function (_ref) {
  var _text;

  var breakpoints = _ref.breakpoints;
  return {
    icon: _defineProperty({
      width: function width(props) {
        return props.size * 4;
      },
      height: function height(props) {
        return props.size * 4;
      }
    }, "@media (min-width: ".concat(breakpoints.values.sm, "px)"), {
      display: 'none'
    }),
    text: (_text = {}, _defineProperty(_text, "@media (max-width: ".concat(breakpoints.values.sm, "px)"), {
      display: 'none'
    }), _defineProperty(_text, "root", {
      padding: 0
    }), _text),
    root: _defineProperty({}, "@media (max-width: ".concat(breakpoints.values.sm / 2, "px)"), {
      display: 'none'
    })
  };
});

var TopMenuButton = function TopMenuButton(_ref2) {
  var text = _ref2.text,
      size = _ref2.size;
  var classes = useStyles({
    size: size
  });
  return /*#__PURE__*/_react.default.createElement(_StyledButton.default, {
    className: classes.root,
    variant: "contained",
    color: "primary"
  }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    className: classes.text
  }, text), /*#__PURE__*/_react.default.createElement(_MailOutline.default, {
    className: classes.icon
  }));
};

TopMenuButton.propTypes = {
  children: _propTypes.default.node,
  variant: _propTypes.default.oneOf(['contained', 'outlined']),
  size: _propTypes.default.number,
  text: _propTypes.default.string
};
TopMenuButton.defaultProps = {
  size: 12
};
var _default = TopMenuButton;
exports.default = _default;